{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content %}
    {% if todoitem_list or event_list and not user.is_anonymous %}

        <div class="text-center">
            <h1>Welcome {{ user.username }}!</h1>
            <h4>My Tasks</h4>
            <ul class="border border-primary">
                {% for todoitem in todoitem_list %}
                    <li class="list-group-item text-decoration-none">
                        <a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{ todoitem.task_name }}</a>
                    </li>
                {% endfor %}
            </ul>
        </div>

        <div class="text-center">
            <h4>My Events</h4>
            <ul class="border border-primary">
                {% for event in event_list %}
                    <li class="list-group-item text-decoration-none">
                        <a href="{% url 'todolist:viewevent' event.id %}">{{ event.event_name }}</a>
                    </li>
                {% endfor %}
            </ul>
        </div>

    {% elif user.is_anonymous %}
        <h1>You are not authorized to access this page.</h1>
        <p>Kindly <a href="login">login here</a></p>

    {% else %}
        <p>No tasks have been created</p>
    {% endif %}
{% endblock %}
